rosbag2_bagfile_information:
  version: 5
  storage_identifier: sqlite3
  duration:
    nanoseconds: 502648216179
  starting_time:
    nanoseconds_since_epoch: 1650131685973360075
  message_count: 9682
  topics_with_message_count:
    - topic_metadata:
        name: /camera/camera_info
        type: sensor_msgs/msg/CameraInfo
        serialization_format: cdr
        offered_qos_profiles: "- history: 1\n  depth: 10\n  reliability: 1\n  durability: 2\n  deadline:\n    sec: 9223372036\n    nsec: 854775807\n  lifespan:\n    sec: 9223372036\n    nsec: 854775807\n  liveliness: 1\n  liveliness_lease_duration:\n    sec: 9223372036\n    nsec: 854775807\n  avoid_ros_namespace_conventions: false"
      message_count: 4841
    - topic_metadata:
        name: /camera/image_proc
        type: sensor_msgs/msg/Image
        serialization_format: cdr
        offered_qos_profiles: "- history: 1\n  depth: 10\n  reliability: 1\n  durability: 2\n  deadline:\n    sec: 9223372036\n    nsec: 854775807\n  lifespan:\n    sec: 9223372036\n    nsec: 854775807\n  liveliness: 1\n  liveliness_lease_duration:\n    sec: 9223372036\n    nsec: 854775807\n  avoid_ros_namespace_conventions: false"
      message_count: 4841
  compression_format: ""
  compression_mode: ""
  relative_file_paths:
    - rosbag2_2022_04_16-19_54_45_0.db3
  files:
    - path: rosbag2_2022_04_16-19_54_45_0.db3
      starting_time:
        nanoseconds_since_epoch: 1650131685973360075
      duration:
        nanoseconds: 502648216179
      message_count: 9682